Skip to content
Dashboard

Delete a conversation

DELETE/v2/conversations/{id}

Permanently deletes a conversation by its short ID.

Path Parameters

  • id - The conversation short ID (numeric)

Response

Returns a deletion confirmation object:

{
  "id": "12345",
  "object": "conversation",
  "deleted": true
}

Caution

This operation is irreversible. The conversation and all its messages will be permanently deleted.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Path ParametersExpand Collapse
id: string

Conversation ID (short ID)

minLength1
maxLength16
Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the deleted conversation

deleted: true

Indicates the resource was deleted

object: "conversation"

Object type identifier

Delete a conversation

curl https://do.featurebase.app/v2/conversations/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "12345",
  "deleted": true,
  "object": "conversation"
}
Returns Examples
{
  "id": "12345",
  "deleted": true,
  "object": "conversation"
}